Jump to: navigation, search

Difference between revisions of "AM3/How Install AM3 From SVN"

< AM3
(Update according to new AM3 SVN location)
 
 
(One intermediate revision by the same user not shown)
Line 3: Line 3:
 
==Install Eclipse, EMF and ATL==
 
==Install Eclipse, EMF and ATL==
  
In order to use these AM3 plugins (ATLAS MegaModel Management), you need Eclipse, EMF and ATL. These plugins have been tested with Eclipse 3.4, EMF 2.4 and ATL 2.0 and are compatible. You can download Eclipse here: http://www.eclipse.org/downloads/, EMF here: http://www.eclipse.org/emf/ and ATL here: http://www.eclipse.org/m2m/atl/.
+
In order to use these AM3 plugins (ATLAS MegaModel Management), you need Eclipse, EMF and ATL. These plugins have been tested with Eclipse 3.4, EMF 2.4 and ATL 2.0 and are compatible. You can download Eclipse here: http://www.eclipse.org/downloads/, EMF here: http://www.eclipse.org/emf/.
 +
 
 +
Note that the version of ATL compatible with these plugins can be obtained following the process detailed in the [http://wiki.eclipse.org/ATL/How_Install_ATL_(Dev)_From_CVS "How Install ATL (Dev) From CVS" Wiki page].
  
Note that, you can also install ATL from its sources by following the process explained in the [http://wiki.eclipse.org/ATL/How_Install_ATL_From_CVS "How Install ATL From CVS" Wiki page].
 
  
 
==Configuration of SVN access==
 
==Configuration of SVN access==

Latest revision as of 07:03, 17 November 2008

Installation of the old AM3 plugins (for ATL developers) from SVN

Install Eclipse, EMF and ATL

In order to use these AM3 plugins (ATLAS MegaModel Management), you need Eclipse, EMF and ATL. These plugins have been tested with Eclipse 3.4, EMF 2.4 and ATL 2.0 and are compatible. You can download Eclipse here: http://www.eclipse.org/downloads/, EMF here: http://www.eclipse.org/emf/.

Note that the version of ATL compatible with these plugins can be obtained following the process detailed in the "How Install ATL (Dev) From CVS" Wiki page.


Configuration of SVN access

You should go to the SVN Repository view (you should first do Window -> Open Perspective in order to open the SVN Repository Exploring perspective). Then you should add a new repository location. The required parameters are the followings:

AM3 SVNRepositoryLocation.PNG

You do not need a password.

Then, you can go to deprecated -> trunk. You can now select the projects as shown on the screenshot and check them out into your workspace (this action is available in the context menu).

AM3old SVNCheckout.PNG

Configuration of the old AM3 plugins

Now, you need to go to the Plug-in perspective.

The old AM3 plugins are ready to be tested. Just open the "Plug-in Development perspective" and launch a Run-time workbench (Click on Run -> Run as -> Run-time workbench).

You are ready to use the old AM3 plugins.